Package org.apache.torque.generator.variable

# Class Variable

java.lang.Object
org.apache.torque.generator.variable.Variable

public class Variable extends Object
A variable which can be used to transport data in and between outlets. A variable has a name (possibly with a name space), a value (which may be null), and a scope (determining in which outlets this variable will be visible). if the scope is `CHILDREN`, the outlet in which this variable was set is also stored in the variable.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `Variable.Scope`
  The scope of a variable.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Variable(QualifiedName name, Object value, Variable.Scope scope)`
  Constructor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object obj)`
  `QualifiedName`
  `getName()`
  Returns the name of the variable.
  `Variable.Scope`
  `getScope()`
  Returns the scope of the variable.
  `Object`
  `getValue()`
  Returns the value of the variable,
  `int`
  `hashCode()`
  `void`
  `setValue(Object value)`
  Sets the value of the variable.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Variable

    public Variable(QualifiedName name, Object value, Variable.Scope scope)
    Constructor.
    Parameters:
      `name` - the name of the variable, not null.
      `value` - the value of the variable.
      `scope` - the scope of the variable, not null.

- ## Method Details

  - ### getName

    public QualifiedName getName()
    Returns the name of the variable.
    Returns:
      the name of the variable, not null.

  - ### getValue

    public Object getValue()
    Returns the value of the variable,
    Returns:
      the value of the variable, may be null.

  - ### setValue

    public void setValue(Object value)
    Sets the value of the variable.
    Parameters:
      `value` - the value to set in the variable.

  - ### getScope

    public Variable.Scope getScope()
    Returns the scope of the variable.
    Returns:
      the scope of the variable, not null.

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`